Subject: bug#69739: 30.0.50; `type-of` is not precise enough

From: Andrea Corallo <[email-masked]>
Date: Fri, 15 Mar 2024 05:42:52 -0400

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> OK, here's a new patch.
> I ended up with `cl-type-of` as the name of the new function (after
> all, it tries to better match the expected semantics of Common Lisp's
> `type-of`).
>
> Comments?  Objections?

FWIW: I think this is a good change and agree `cl-type-of` is a good
name for the new function.  I'm just wondering if we should have some
test this.

Bests!

  Andrea